            --[   IAS Version 2.0    ]---
                                   
                               
                  
                                    
                                       
          
                                  
                                 
                        
              
                                                        
--     ------     --ͻ
                        http://www.blackbag.org                           
--     ------     --ͼ

                            
                              [Disclaimer]
                              ------------

 The authors of this program make no warranty, express or implied about
 its usefulness for any purpose. The end user, YOU, take full
 responsibility for any legal actions against the use of this program.
 The authors do not endorse or condone the copying of any software
 titles that you do not own, except in the interest of protecting your
 investment in titles which you have purchased. The authors will not be
 responsible for the use or misuse of this program, or any illegal or
 'grey-area' activities which are facilitated by the use or misuse of
 this program. This program is meant to be an educational and
 experimental tool only, for personal, non-corporate uses. Any other use
 constitutes copyright infringement.


                           [Command Summary]
                           -----------------

         -i                 : Image Information
         -s                 : Send
         -r                 : Receive
        --size <64 | 128>   : Receive Size for CD64 only
        --port <1-4>        : LPT?
        --cp <0-4>          : CD64 Port 0x3?0
         -u <D | S | C | P> : Unit Doc, SCP/WildCard, CD64 or CD64 Parallel
         -q                 : Quiet Mode
         -t "<Image Title>" : Change Image Title
         -f                 : Flip (Change Image Format)
         -c                 : Compress
        --cl <1-9>          : Compression Level
         -d                 : DeCompress
        --crc               : CRC
         -z <Size MBit>     : ReSize
         -p <Patch FIle>    : Patch
         -a <0x1234>        : Image Start Address
         -h <Image>         : Replace Image Header
        --pad               : Pad Image to a 2 MBit Boundery
        --id <Two Chars>    : Change the ROM ID
        --cc <Country Code> : Change Country Code
         -m                 : Modify Defaults

--------------------------------------------------------------------------

                             [Introduction]
                             --------------

 IAS2 is the result of the merger of two programs - IAS 1 and RunCart.
 IAS is (was) a dos/linux program to send images to development or
 'backup' units. RunCart is (was) a developer utility to format
 home-brewed cart images and add specific information.
 It seemed only natural that these two programs should evolve into
 a singular program which catered for the needs of users of both
 runcart and ias.

 IAS2 also supports the three main units that are capable of
 sending and receiving information via the parallel port -
 The Doctor64, The CD64 and the SCP64/Wildcard.

--------------------------------------------------------------------------

                                 [Use]
                                 -----

 IAS <options> <files>

 IAS is invoked from the command line with the above syntax. Please
 note that <options> can be in *any* order or with any number of options
 with certain exceptions.

 Example: IAS -r sram2.v64 -size 64 -c9 -id BB --cc 99

 This example would backup a 64mbit image, compress it with
 level 9 compression, change the ID to 'BB' and change the
 country code to '99'. The file would be saved with a filename
 of 'sram2.v64'

 These exceptions are: -

        -s      : Send will always be the last command executed.

        -r      : Recieve will be the first command executed.

--------------------------------------------------------------------------

                     [Specific Command Information]
                     ------------------------------

[-i]    
-----

Syntax: ias -i sram2.v64

Displays cart information from valid image files.

example output: -

       Image Name      : BB Sram Manager
       Image Size      : 10.0 MBit
       File Size       : 1.25 MB
       Image Territory : Unknown
       Image ID        :
       Image Format    : Doctor 64
       Compressed      : No
       Start Address   : 0x80000400

--------------------------------------------------------------------------

[-s]
----

Syntax: ias -s sram2.v64 *or* ias sram2.v64

Send <file> to default unit (unit defined with -m option). If no options
are given IAS will assume that a send to unit operation is required and will
attempt to transfer the specified file.

--------------------------------------------------------------------------

[-r]
----

Syntax: ias -r sram2.v64

Receive a file from default unit (defined with -m option). Note that if
multiple options are included in the command line -R will be the first
executed.

--------------------------------------------------------------------------

[--size <64 | 128>]
-------------------

Syntax: ias -r --size 64 sram2.v64

This will define the size of the file when it is backed up using a
CD64 unit.

--------------------------------------------------------------------------

[--port <1-4>]
--------------

Syntax: ias -s sram2.v64 --port 2

Defines which parallel port the unit is connected to, overriding the
default setting. Useful if you have more than one unit connected to
a system but dont want to keep changing IAS defaults to accomodate it.

--------------------------------------------------------------------------

[--cp <0-4>]
------------

Syntax: ias -s sram2.v64 --cp 1

Specifically for CD64 users with a ProComms link. This option defines
what base address the board is located at (hex :03x0).
This example assumes that the board is located at 0x310. --cp 2 would
address 0x320 etc.

--------------------------------------------------------------------------

[-u <D | S | C | P>]
--------------------

Syntax: ias -s sram2.v64 -u S

Override the default settings and use a protocol designed for another
unit. Used when multiple units are connected to one machine.

        D : Doctor 64
        S : SCP/Wildcard
        C : CD64
        P : CD64 with parallel adapter

The example given here would override any internal defaults and use
the protocols for a SuperCom Partner or Wildcard.

--------------------------------------------------------------------------

[-q]
----

Syntax : ias sram2.v64 -q

Stops messages etc being generated.

--------------------------------------------------------------------------


[-t "<Image Title>"]

Syntax: ias -s sram2.v64 -t "sram3!"

Alter the text of the title. A maximum of 20 characters is allowed - any
more are truncated.

--------------------------------------------------------------------------

[-f]

Syntax: ias -s sram2.v64 -f

Alter the endian of the target file. Otherwise known as 'byteflipping'.
This will change the image format between the native formats of the
Doctor 64 and the Z64/SCP/Wildcard etc.

--------------------------------------------------------------------------

[-c]
----

Syntax: ias -r sram2.v64 -c

Use RTool compression on the file. Defaults to compression level 6
unless [--cl x] is used to override.

--------------------------------------------------------------------------

[--cl <1-9>]

Syntax: ias -r sram2.v64 -c --cl 9

Override set compression levels. Compression levels can range from 1
which will give fast, bad compression upto 9 which gives slow but
tight compression.

--------------------------------------------------------------------------

[-d]
----

Syntax: ias -d sram2.v64

Decompress image file returning it to its original state.

--------------------------------------------------------------------------

[--crc]
-------

Syntax: ias --crc sram2.v64

Check and recalculate if necessary the CRC (cyclic redundancy check)
of an image.
If the CRC is invalid you will be given the option of correcting it.

--------------------------------------------------------------------------

[-z]
----

Syntax: ias -z 96 sram2.v64

Pad or truncate a file to a set size in *megabits*. For those of you
that are unsure of the difference between megabits and megabytes:-

        1 megabit       == 128k
        8 megabits      == 1 megabyte
        64 megabits     == 8 megabytes

       
--------------------------------------------------------------------------

[-p]
----

Syntax: ias -p sram2.v64 sram3.aps
        ias -p sram2.v64 sram2.ips

Apply a patch to a file. Currently supported patch types are as follows: -

        IPS1    -  International patching system v1.
                   Originated by elitendo to apply patches to
                   SNES roms. Unable to patch > 16Mb.

        IPS2    -  Version 2 of IPS.
                   Allowed truncation of images.

        APS     -  Advanced patching system v1. (due soon)
                   Originated by BlackBag to allow application
                   of patches to files which will eventually
                   exceed IPS1 & 2 file limits.

--------------------------------------------------------------------------
[-a]
----

Syntax: ias -a 0x80000400

Set the execution start address of a rom image in *hex*.

--------------------------------------------------------------------------

[-h <Image>]
------------

Syntax: ias -h boot.bin sram2.v64

Insert (or replace) the image header of a rom image. This is required
for a successful boot procedure.

NOTE: This is intended for developers, not gamers. It inserts the
boot routines into a rom and is entirely different from the cic boot
emualtor that was written by Jovis/Blackbag. DO NOT try to insert
Jovis emu into a rom - it'll destroy the boot info and black screen
happiness will be yours evermore....

--------------------------------------------------------------------------

[--pad]
-------

syntax: ias -s sram2.v64 --pad

Pads an non-standard length image to a 2mbit boundary. Some units
do not like files that are not a multiple of 2mbit and report
'not a v64 file' (for example) when they are sent to the unit.
This option takes non standard length files and auto-padds them
to valid lengths.

--------------------------------------------------------------------------

[--id <Two Chars>]
------------------

Syntax: ias -s sram2.v64 --id BB

Allows the rom ID to be manually altered to a two character code
of your choice. Useful if you're writing your own stuff and want
to individualise it. It is not recommended you try this on
commercial images as some roms check this code.

--------------------------------------------------------------------------

[--cc <Country Code>]
---------------------

Syntax: ias --cc 99 sram2.v64

Changes the country code of an image. Maybe useful for coders to
agree on a set country code and/or Cart ID to identify demos from
standard roms ?!?

--------------------------------------------------------------------------

[-m]
----

Syntax: ias -m

Set the default options for the unit you are using. options differ
depending on which unit it chosen.

--------------------------------------------------------------------------

                                 [Misc]
                                 ------
Greets go to the other guys in Blackbag - Datawiz, Nagra, Jovis,
Ste, Shroomz (emu fiend ;), McBain and Stumble.

--------------------------------------------------------------------------

                            [Email Contact]
                            ---------------

The authors of IAS can be contact via email at the following addresses: -

        Frac    : Fractal@blackbag.org
        Silo    : Silo@blackbag.org

--------------------------------------------------------------------------

                            [Web Addresses]
                            ---------------

Blackbag         :       http://www.blackbag.org
Bung Enterprises :       http://www.bung.com.hk
UFO Company      :       http://www.cd64.com

--------------------------------------------------------------------------

                              [Copyrights]
                              ------------

IAS is (c) Blackbag (http://www.blackbag.org)
Doctor64 is (c) Bung Industries HK (http://www.bung.com.hk)
CD64 is (c) UFO Company (http://www.cd64.com)
Supercom Partner64 is (c) Highspeed (http://www.hispeed.net.hk/~hispeed)
Wildcard64 is (c) Chameleon (http://www.lizzard.demon.co.uk)
All other copyrights are acknowledged.

--------------------------------------------------------------------------
--------------------------------------------------------------------------


